robocode.control.events

## Class RoundEndedEvent

- java.lang.Object
- - robocode.control.events.BattleEvent
  - - robocode.control.events.RoundEndedEvent

    public class RoundEndedEvent
    extends BattleEvent

A RoundEndedEvent is sent to `onRoundEnded()` when the current round of a battle has ended.

Since:
  1.6.2
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`, `RoundStartedEvent`

### Constructor Summary

Constructors
Constructor and Description
`RoundEndedEvent(int round, int turns, int totalTurns)` Called by the game to create a new RoundEndedEvent.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getRound()` Returns the round number that has ended.
`int` `getTotalTurns()` Returns the total number of turns reached in the battle when this round ended.
`int` `getTurns()` Returns the number of turns that this round reached.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RoundEndedEvent

    public RoundEndedEvent(int round,
                           int turns,
                           int totalTurns)

Called by the game to create a new RoundEndedEvent. Please don't use this constructor as it might change.

Parameters:
  `round` - the round number that was ended (zero indexed).
  `turns` - the number of turns that this round reached.
  `totalTurns` - the total number of turns reached in the battle when this round ended.

### Method Detail

#### getRound

    public int getRound()

Returns the round number that has ended.

Returns:
  the round number that has ended, which is zero indexed.

#### getTurns

    public int getTurns()

Returns the number of turns that this round reached.

Returns:
  the number of turns that this round reached.
See Also:
  `getTotalTurns()`

#### getTotalTurns

    public int getTotalTurns()

Returns the total number of turns reached in the battle when this round ended.

Returns:
  the total number of turns reached in the battle when this round ended.
Since:
  1.7.2
See Also:
  `getTurns()`